summaryrefslogtreecommitdiffstats
path: root/.scripts/ducksearch
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-10-11 19:45:23 -0400
committerLuke Smith <luke@lukesmith.xyz>2018-10-11 19:45:23 -0400
commit2c44ee2b73bfd517fde7dbfe998f1414c712aa39 (patch)
treef306398381410a861f8301f74392b65c3af07b80 /.scripts/ducksearch
parent7140495e2d6f1f92a7f5ff821f2499ccfd7ce6ee (diff)
downloadeibhear-2c44ee2b73bfd517fde7dbfe998f1414c712aa39.tar.gz
eibhear-2c44ee2b73bfd517fde7dbfe998f1414c712aa39.tar.zst
eibhear-2c44ee2b73bfd517fde7dbfe998f1414c712aa39.zip
duckduckgo search binding added with dox
Diffstat (limited to '.scripts/ducksearch')
-rwxr-xr-x.scripts/ducksearch15
1 files changed, 15 insertions, 0 deletions
diff --git a/.scripts/ducksearch b/.scripts/ducksearch
new file mode 100755
index 0000000..13a1e19
--- /dev/null
+++ b/.scripts/ducksearch
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Gives a dmenu prompt to search DuckDuckGo.
+# Without input, will open DuckDuckGo.com.
+# Anything else, it search it.
+
+pgrep -x dmenu && exit
+
+choice=$(echo "🦆" | dmenu -i -p "Search DuckDuckGo:") || exit 1
+
+if [ "$choice" = "🦆" ]; then
+ $BROWSER "https://duckduckgo.com"
+else
+ $BROWSER "https://duckduckgo.com/?q=$choice&t=ffab&atb=v1-1"
+fi